## uvloop 0.8.0+ds1

=== Makefile ===
.PHONY: _default clean clean-libuv distclean compile debug docs test release


PYTHON ?= python


_default: compile


clean:
	rm -fr dist/ doc/_build/ *.egg-info build/ uvloop/loop.*.pyd
	rm -fr build/lib.* build/temp.*
	rm -fr uvloop/*.c uvloop/*.html uvloop/*.so
	rm -fr uvloop/handles/*.html uvloop/includes/*.html
	find . -name '__pycache__' | xargs rm -rf


clean-libuv:
	(cd vendor/libuv; git clean -dfX)


distclean: clean clean-libuv


compile: clean
	$(PYTHON) setup.py build_ext --inplace --cython-always


debug: clean
	$(PYTHON) setup.py build_ext --inplace --debug \
		--cython-always \
		--cython-annotate \
		--cython-directives="linetrace=True" \
		--define UVLOOP_DEBUG,CYTHON_TRACE,CYTHON_TRACE_NOGIL


docs: compile
	cd docs && $(PYTHON) -m sphinx -a -b html . _build/html


test:
	PYTHONASYNCIODEBUG=1 $(PYTHON) -m unittest discover -s tests
	$(PYTHON) -m unittest discover -s tests


release: distclean compile test
	$(PYTHON) setup.py sdist bdist_wheel upload

=== debian/changelog ===
uvloop (0.8.0+ds1-1build2) artful; urgency=medium

  * No-change rebuild to build to drop python3.5.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 05 Aug 2017 18:38:19 +0000

uvloop (0.8.0+ds1-1build1) artful; urgency=medium

  * Rebuild for python 3.6 support.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Tue, 16 May 2017 15:19:34 +0530

uvloop (0.8.0+ds1-1) unstable; urgency=medium

  * New upstream release
  * disable generation of -dbgsym packages

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 02 Mar 2017 19:41:57 +0100

uvloop (0.6.7+ds1-1) unstable; urgency=low

  * Initial release (closes: 849195)

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 21 Dec 2016 13:42:47 +0000

## uvloop 0.8.1%2Bds1

=== Makefile ===
.PHONY: _default clean clean-libuv distclean compile debug docs test testinstalled release


PYTHON ?= python


_default: compile


clean:
	rm -fr dist/ doc/_build/ *.egg-info uvloop/loop.*.pyd
	rm -fr build/lib.* build/temp.* build/libuv
	rm -fr uvloop/*.c uvloop/*.html uvloop/*.so
	rm -fr uvloop/handles/*.html uvloop/includes/*.html
	find . -name '__pycache__' | xargs rm -rf


clean-libuv:
	(cd vendor/libuv; git clean -dfX)


distclean: clean clean-libuv
	rm -fr build/


compile: clean
	$(PYTHON) setup.py build_ext --inplace --cython-always


debug: clean
	$(PYTHON) setup.py build_ext --inplace --debug \
		--cython-always \
		--cython-annotate \
		--cython-directives="linetrace=True" \
		--define UVLOOP_DEBUG,CYTHON_TRACE,CYTHON_TRACE_NOGIL


docs:
	$(PYTHON) setup.py build_ext --inplace build_sphinx


test:
	PYTHONASYNCIODEBUG=1 $(PYTHON) setup.py test
	$(PYTHON) setup.py test


testinstalled:
	$(PYTHON) tests/__init__.py


release: distclean compile test
	$(PYTHON) setup.py sdist bdist_wheel upload

## uvloop 0.8.1+ds1

=== debian/changelog ===
uvloop (0.8.1+ds1-1) unstable; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Fri, 15 Sep 2017 12:17:21 +0200

=== debian/control ===
Source: uvloop
Section: python
Priority: optional
Maintainer: Piotr Ożarowski <piotr@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 10), dh-python,
               libuv1-dev,
               cython3 (>= 0.24),
               python3-all-dev,
               python3-all-dbg,
               python3-setuptools,
# tests:
               python3-pytest,
               python3-aiohttp,
Standards-Version: 3.9.8
Homepage: http://github.com/MagicStack/uvloop
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/uvloop.git
Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/uvloop.git
X-Python3-Version: >= 3.5

Package: python3-uvloop
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends},
Description: fast implementation of asyncio event loop on top of libuv
 uvloop is a fast, drop-in replacement of the built-in asyncio
 event loop. uvloop is implemented in Cython and uses libuv
 under the hood. It makes asyncio 2-4x faster.

Package: python3-uvloop-dbg
Architecture: any
Section: debug
Priority: extra
Depends: python3-uvloop (= ${binary:Version}), ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends},
Description: fast implementation of asyncio event loop on top of libuv
 uvloop is a fast, drop-in replacement of the built-in asyncio
 event loop. uvloop is implemented in Cython and uses libuv
 under the hood. It makes asyncio 2-4x faster.
 .
 This package contains the extension built for the Python 3 debug interpreter.

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=uvloop
export PYBUILD_BUILD_ARGS=build_ext --use-system-libuv
export PYBUILD_INSTALL_ARGS=build_ext --use-system-libuv
export PYBUILD_TEST_ARGS=-s tests
%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	# remove source files from binary packages
	find debian/ -type f \( -name '*.[ch]' -or -name '*.px[di]' -or -name '*.pyx' \) -delete

override_dh_strip:
	dh_strip --no-automatic-dbgsym

## uvloop 0.11.2+ds1

=== debian/changelog ===
uvloop (0.11.2+ds1-1) unstable; urgency=medium

  * Team upload.
  * Uploading to unstable
  * New upstream release (Closes: #906164)
  * Convert git repository from git-dpm to gbp layout
  * Add python3-psutil to B-D
  * Bump debhelper compat level to 11
  * Enable autopkgtest-pkg-python testsuite
  * d/control: Deduplicate short description of -dbg package
  * Disable pipe tests - doesn't work inside sbuild
  * d/copyright: Adapt for new upstream release
  * Enable all hardening
  * Standards-Version is 4.2.0 (no changes)
  * Add upstream metadata
  * Disable timing/unreliable tests

 -- Ondřej Nový <onovy@debian.org>  Thu, 16 Aug 2018 10:10:13 +0200

uvloop (0.10.1+ds1-1) experimental; urgency=medium

  * New upstream release
  * Upload to experimental as it requires cython3 >= 0.28

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 12 Jun 2018 23:14:03 +0200

uvloop (0.9.1+ds1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/control: Deprecating priority extra as per policy 4.0.1

  [ Piotr Ożarowski ]
  * New upstream release
  * disable tests for -dbg interpreter

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 16 May 2018 12:40:03 +0200

=== debian/control ===
Source: uvloop
Section: python
Priority: optional
Maintainer: Piotr Ożarowski <piotr@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 11), dh-python,
               libuv1-dev,
               cython3 (>= 0.28),
               python3-all-dev,
               python3-all-dbg,
               python3-setuptools,
# tests:
               python3-psutil,
               python3-pytest,
               python3-aiohttp,
Standards-Version: 4.2.0
Homepage: https://github.com/MagicStack/uvloop
Vcs-Git: https://salsa.debian.org/python-team/modules/uvloop.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/uvloop
X-Python3-Version: >= 3.5
Testsuite: autopkgtest-pkg-python

Package: python3-uvloop
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends},
Description: fast implementation of asyncio event loop on top of libuv
 uvloop is a fast, drop-in replacement of the built-in asyncio
 event loop. uvloop is implemented in Cython and uses libuv
 under the hood. It makes asyncio 2-4x faster.

Package: python3-uvloop-dbg
Architecture: any
Section: debug
Depends: python3-uvloop (= ${binary:Version}), ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends},
Description: fast implementation of asyncio event loop on top of libuv - dbg
 uvloop is a fast, drop-in replacement of the built-in asyncio
 event loop. uvloop is implemented in Cython and uses libuv
 under the hood. It makes asyncio 2-4x faster.
 .
 This package contains the extension built for the Python 3 debug interpreter.

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,13 @@
 export PYBUILD_NAME=uvloop
 export PYBUILD_BUILD_ARGS=build_ext --use-system-libuv
 export PYBUILD_INSTALL_ARGS=build_ext --use-system-libuv
-export PYBUILD_TEST_ARGS=-s tests
+export PYBUILD_TEST_ARGS=-s tests --ignore=tests/test_pipes.py
+export PYBUILD_DISABLE=test/python3-dbg
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
+export TRAVIS_OS_NAME=dummy
+
 %:
 	dh $@ --with python3 --buildsystem=pybuild

## uvloop 0.11.3+ds1

=== debian/changelog ===
uvloop (0.11.3+ds1-2) unstable; urgency=medium

  * Team upload.
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.
  * d/control: Remove ancient X-Python3-Version field.
  * d/patches/regen_ssl_crts.patch: Fix FTBFS with new OpenSSL.
    (Closes: #925847)
  * Bump debhelper compat level to 12.

 -- Ondřej Nový <onovy@debian.org>  Fri, 02 Aug 2019 10:05:16 +0200

uvloop (0.11.3+ds1-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version is 4.3.0 (no changes)

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 01 Jan 2019 14:06:49 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Piotr Ożarowski <piotr@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 11), dh-python,
+Build-Depends: debhelper-compat (= 12), dh-python,
                libuv1-dev,
                cython3 (>= 0.28),
                python3-all-dev,
@@ -13,11 +13,10 @@
                python3-psutil,
                python3-pytest,
                python3-aiohttp,
-Standards-Version: 4.2.0
+Standards-Version: 4.4.0
 Homepage: https://github.com/MagicStack/uvloop
 Vcs-Git: https://salsa.debian.org/python-team/modules/uvloop.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/uvloop
-X-Python3-Version: >= 3.5
 Testsuite: autopkgtest-pkg-python
 
 Package: python3-uvloop

## uvloop 0.14.0+ds1

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-.PHONY: _default clean clean-libuv distclean compile debug docs test testinstalled release
+.PHONY: _default clean clean-libuv distclean compile debug docs test testinstalled release setup-build ci-clean
 
 
 PYTHON ?= python
@@ -9,10 +9,13 @@
 
 clean:
 	rm -fr dist/ doc/_build/ *.egg-info uvloop/loop.*.pyd
-	rm -fr build/lib.* build/temp.* build/libuv
 	rm -fr uvloop/*.c uvloop/*.html uvloop/*.so
 	rm -fr uvloop/handles/*.html uvloop/includes/*.html
 	find . -name '__pycache__' | xargs rm -rf
+
+
+ci-clean: clean
+	rm -fr build/lib.* build/temp.* build/libuv
 
 
 clean-libuv:
@@ -23,8 +26,11 @@
 	rm -fr build/
 
 
-compile: clean
+setup-build:
 	$(PYTHON) setup.py build_ext --inplace --cython-always
+
+
+compile: clean setup-build
 
 
 debug: clean

=== debian/changelog ===
uvloop (0.14.0+ds1-1ubuntu1) focal; urgency=medium

  * Work around python upstream issue 37228.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 21 Feb 2020 21:10:03 +0100

uvloop (0.14.0+ds1-1build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 09:25:20 +0100

uvloop (0.14.0+ds1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Piotr Ożarowski ]
  * New upstream release
  * Mark build dependencies required for tests only with <!nocheck>

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 03 Dec 2019 21:20:11 +0100

=== debian/control ===
--- 
+++ 
@@ -9,11 +9,12 @@
                python3-all-dev,
                python3-all-dbg,
                python3-setuptools,
-# tests:
-               python3-psutil,
-               python3-pytest,
-               python3-aiohttp,
-Standards-Version: 4.4.0
+               python3-psutil <!nocheck>,
+               python3-pytest <!nocheck>,
+               python3-aiohttp <!nocheck>,
+               python3-openssl <!nocheck>,
+               python3-flake8 <!nocheck>,
+Standards-Version: 4.4.1
 Homepage: https://github.com/MagicStack/uvloop
 Vcs-Git: https://salsa.debian.org/python-team/modules/uvloop.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/uvloop

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 export PYBUILD_NAME=uvloop
 export PYBUILD_BUILD_ARGS=build_ext --use-system-libuv
 export PYBUILD_INSTALL_ARGS=build_ext --use-system-libuv
-export PYBUILD_TEST_ARGS=-s tests --ignore=tests/test_pipes.py
+export PYBUILD_TEST_ARGS=-s tests --ignore=tests/test_pipes.py --ignore=tests/test_sourcecode.py
 export PYBUILD_DISABLE=test/python3-dbg
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all

## uvloop 0.16.0+ds1

=== Makefile ===
--- 
+++ 
@@ -2,6 +2,7 @@
 
 
 PYTHON ?= python
+ROOT = $(dir $(realpath $(firstword $(MAKEFILE_LIST))))
 
 
 _default: compile
@@ -46,13 +47,9 @@
 
 
 test:
-	PYTHONASYNCIODEBUG=1 $(PYTHON) setup.py test
-	$(PYTHON) setup.py test
+	PYTHONASYNCIODEBUG=1 $(PYTHON) -m unittest -v tests.suite
+	$(PYTHON) -m unittest -v tests.suite
 
 
 testinstalled:
-	$(PYTHON) tests/__init__.py
-
-
-release: distclean compile test
-	$(PYTHON) setup.py sdist bdist_wheel upload
+	cd "$${HOME}" && $(PYTHON) $(ROOT)/tests/__init__.py

=== debian/changelog ===
uvloop (0.16.0+ds1-2build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 18:06:11 +0000

uvloop (0.16.0+ds1-2) unstable; urgency=medium

  * Drop the package built for the Python debug interpreter (Closes: #994385)

 -- Paul Wise <pabs@debian.org>  Wed, 24 Nov 2021 15:45:34 +0800

uvloop (0.16.0+ds1-1) unstable; urgency=low

  [ Debian Janitor ]
  * Refer to common license file for Apache-2.0.
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).
  * Update standards version to 4.5.0, no changes needed.

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Sandro Tosi ]
  * Use the new Debian Python Team contact name and address

  [ Piotr Ożarowski ]
  * New upstream release
  * Add a patch to relax Cython dependency

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 29 Aug 2021 19:48:27 +0200

uvloop (0.14.0+ds1-2) unstable; urgency=medium

  * Team upload.
  * Prevent the hanging tests from being run (Closes: #950165).

 -- Andrej Shadura <andrewsh@debian.org>  Sat, 20 Jun 2020 19:24:07 +0200

=== debian/control ===
Source: uvloop
Section: python
Priority: optional
Maintainer: Piotr Ożarowski <piotr@debian.org>
Uploaders: Debian Python Team <team+python@tracker.debian.org>
Build-Depends: debhelper-compat (= 12), dh-python,
               libuv1-dev,
               cython3 (>= 0.28),
               python3-all-dev,
               python3-setuptools,
               python3-psutil <!nocheck>,
               python3-pytest <!nocheck>,
               python3-aiohttp <!nocheck>,
               python3-openssl <!nocheck>,
               python3-flake8 <!nocheck>,
Standards-Version: 4.5.0
Homepage: https://github.com/MagicStack/uvloop
Vcs-Git: https://salsa.debian.org/python-team/packages/uvloop.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/uvloop
Testsuite: autopkgtest-pkg-python

Package: python3-uvloop
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends},
Description: fast implementation of asyncio event loop on top of libuv
 uvloop is a fast, drop-in replacement of the built-in asyncio
 event loop. uvloop is implemented in Cython and uses libuv
 under the hood. It makes asyncio 2-4x faster.

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=uvloop
export PYBUILD_BUILD_ARGS=build_ext --use-system-libuv
export PYBUILD_INSTALL_ARGS=build_ext --use-system-libuv
export PYBUILD_TEST_ARGS=-s tests --ignore=tests/test_pipes.py --ignore=tests/test_sourcecode.py --ignore=tests/test_sockets.py --ignore=tests/test_tcp.py

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export TRAVIS_OS_NAME=dummy

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	# remove source files from binary packages
	find debian/ -type f \( -name '*.[ch]' -or -name '*.px[di]' -or -name '*.pyx' \) -delete

=== debian/watch ===
version=3
opts=\
uversionmangle=s/(rc|a|b|c)/~$1/,\
dversionmangle=s/\+ds\d*$//,\
repacksuffix=+ds1 \
https://pypi.debian.net/uvloop/uvloop-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## uvloop 0.17.0+ds1

=== Makefile ===
--- 
+++ 
@@ -47,9 +47,9 @@
 
 
 test:
-	PYTHONASYNCIODEBUG=1 $(PYTHON) -m unittest -v tests.suite
-	$(PYTHON) -m unittest -v tests.suite
+	PYTHONASYNCIODEBUG=1 $(PYTHON) -m unittest discover -v tests
+	$(PYTHON) -m unittest discover -v tests
 
 
 testinstalled:
-	cd "$${HOME}" && $(PYTHON) $(ROOT)/tests/__init__.py
+	cd "$${HOME}" && $(PYTHON) -m unittest discover -v $(ROOT)/tests

=== debian/changelog ===
uvloop (0.17.0+ds1-2) unstable; urgency=medium

  [ Blair Noctis ]
  * Team upload.
  * Patch tests/test_unix.py relaxing test timeout so tests could finish,
    fixes FTBFS on riscv64
  * d/source/options: extend-diff-ignore .eggs/

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 08 Nov 2022 16:24:59 +0100

uvloop (0.17.0+ds1-1) unstable; urgency=medium

  * New upstream release
  * Add python3-pycodestyle and python3-mypy to Build-Depends (used by tests)
  * Disable test_libuv_api test - uses undefined cython_helper module

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 07 Nov 2022 14:59:49 +0100

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 export PYBUILD_NAME=uvloop
 export PYBUILD_BUILD_ARGS=build_ext --use-system-libuv
 export PYBUILD_INSTALL_ARGS=build_ext --use-system-libuv
-export PYBUILD_TEST_ARGS=-s tests --ignore=tests/test_pipes.py --ignore=tests/test_sourcecode.py --ignore=tests/test_sockets.py --ignore=tests/test_tcp.py
+export PYBUILD_TEST_ARGS=-s tests --ignore=tests/test_pipes.py --ignore=tests/test_sourcecode.py --ignore=tests/test_sockets.py --ignore=tests/test_tcp.py --ignore=tests/test_libuv_api.py
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all

## uvloop 0.19.0+ds1

=== debian/changelog ===
uvloop (0.19.0+ds1-2.1) unstable; urgency=medium

  * Non-maintainer upload

  [ Graham Inggs ]
  * Include proposed patch for compatibility with Cython 3 (Closes: #1056893)
    (LP: #2051150)
  * Skip tests failing with libuv 1.48.0

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 31 Mar 2024 23:47:16 +0200

uvloop (0.19.0+ds1-2) unstable; urgency=medium

  * Add 0003-Fix-unit-tests-on-IPv6-only-hosts patch. Thanks to Dale Richards!
    Closes: #1024079

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 16 Nov 2023 13:16:10 +0100

uvloop (0.19.0+ds1-1) unstable; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 26 Oct 2023 11:00:08 +0200

uvloop (0.18.0+ds1-1) unstable; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 14 Oct 2023 14:43:39 +0200

=== debian/control ===
--- 
+++ 
@@ -13,6 +13,8 @@
                python3-aiohttp <!nocheck>,
                python3-openssl <!nocheck>,
                python3-flake8 <!nocheck>,
+               python3-mypy <!nocheck>,
+               python3-pycodestyle <!nocheck>,
 Standards-Version: 4.5.0
 Homepage: https://github.com/MagicStack/uvloop
 Vcs-Git: https://salsa.debian.org/python-team/packages/uvloop.git

## uvloop 0.21.0+ds1

=== debian/changelog ===
uvloop (0.21.0+ds1-3build1) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 22 Oct 2025 11:59:08 +0000

uvloop (0.21.0+ds1-3) unstable; urgency=medium

  * Team upload.
  * Compensate for asyncio changes in Python 3.13.3/3.14 (closes: #1101258).
  * Switch to autopkgtest-pkg-pybuild.

 -- Colin Watson <cjwatson@debian.org>  Wed, 16 Apr 2025 12:00:37 +0100

uvloop (0.21.0+ds1-2) unstable; urgency=medium

  [ Sebastiaan Couwenberg ]
  * Disable DNS test as it requires network (closes: 1093363)

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 10 Feb 2025 21:25:59 +0100

uvloop (0.21.0+ds1-1) unstable; urgency=medium

  * New upstream release (Closes: 1086197)
    - cython3 patch merged
  * Breaks: python3-anyio (<< 4.6.0)

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 29 Oct 2024 09:52:51 +0100

uvloop (0.20.0+ds1-1) unstable; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Fri, 23 Aug 2024 11:37:54 +0200

=== debian/control ===
--- 
+++ 
@@ -19,11 +19,12 @@
 Homepage: https://github.com/MagicStack/uvloop
 Vcs-Git: https://salsa.debian.org/python-team/packages/uvloop.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/uvloop
-Testsuite: autopkgtest-pkg-python
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-uvloop
 Architecture: any
 Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends},
+Breaks: python3-anyio (<< 4.6.0)
 Description: fast implementation of asyncio event loop on top of libuv
  uvloop is a fast, drop-in replacement of the built-in asyncio
  event loop. uvloop is implemented in Cython and uses libuv

## uvloop 0.22.1+ds1

=== Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 
 clean:
-	rm -fr dist/ doc/_build/ *.egg-info uvloop/loop.*.pyd
+	rm -fr dist/ doc/_build/ *.egg-info uvloop/loop.*.pyd uvloop/loop_d.*.pyd
 	rm -fr uvloop/*.c uvloop/*.html uvloop/*.so
 	rm -fr uvloop/handles/*.html uvloop/includes/*.html
 	find . -name '__pycache__' | xargs rm -rf

=== debian/changelog ===
uvloop (0.22.1+ds1-2) unstable; urgency=medium

  * Team upload.

  [ Adrian Bunk ]
  * Increase test_issue39_regression alarm time (closes: #1124510).

 -- Colin Watson <cjwatson@debian.org>  Sun, 04 Jan 2026 18:59:05 +0000

uvloop (0.22.1+ds1-1.1) unstable; urgency=medium

  * Team upload.
  * Ram wrap-and-sort -bastk.
  * Blacklist test_cancel_post_init failing randomly (Closes: #1122066).
  * Set the team as Maintainer, and Piotr as Uploaders: as per team policy.

 -- Thomas Goirand <zigo@debian.org>  Tue, 30 Dec 2025 10:56:30 +0100

uvloop (0.22.1+ds1-1) unstable; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 21 Oct 2025 15:20:30 +0200

=== debian/control ===
Source: uvloop
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Piotr Ożarowski <piotr@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 cython3 (>= 0.28),
 libuv1-dev,
 python3-aiohttp <!nocheck>,
 python3-all-dev,
 python3-flake8 <!nocheck>,
 python3-mypy <!nocheck>,
 python3-openssl <!nocheck>,
 python3-psutil <!nocheck>,
 python3-pycodestyle <!nocheck>,
 python3-pytest <!nocheck>,
 python3-setuptools,
Standards-Version: 4.5.0
Homepage: https://github.com/MagicStack/uvloop
Vcs-Git: https://salsa.debian.org/python-team/packages/uvloop.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/uvloop
Testsuite: autopkgtest-pkg-pybuild

Package: python3-uvloop
Architecture: any
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Breaks:
 python3-anyio (<< 4.6.0),
Description: fast implementation of asyncio event loop on top of libuv
 uvloop is a fast, drop-in replacement of the built-in asyncio
 event loop. uvloop is implemented in Cython and uses libuv
 under the hood. It makes asyncio 2-4x faster.

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 export PYBUILD_NAME=uvloop
 export PYBUILD_BUILD_ARGS=build_ext --use-system-libuv
 export PYBUILD_INSTALL_ARGS=build_ext --use-system-libuv
-export PYBUILD_TEST_ARGS=-s tests --ignore=tests/test_pipes.py --ignore=tests/test_sourcecode.py --ignore=tests/test_sockets.py --ignore=tests/test_tcp.py --ignore=tests/test_libuv_api.py
+export PYBUILD_TEST_ARGS=-s tests --ignore=tests/test_pipes.py --ignore=tests/test_sourcecode.py --ignore=tests/test_sockets.py --ignore=tests/test_tcp.py --ignore=tests/test_libuv_api.py --ignore=tests/test_dns.py -k 'not test_cancel_post_init'
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
